<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Proficiency extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = ['title'];

    public function technicians()
    {
        return $this->hasMany('App\Models\Technician');
    }

    public function projects()
    {
        return $this->hasMany('App\Models\Project');
    }

    public function skills()
    {
        return $this->hasMany('App\Models\Skill');
    }

    public function discountCodes()
    {
        return $this->hasMany('App\Models\DiscountCode');
    }
}
