<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRatesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('rates', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->unsignedBigInteger('voted_id')->nullable();
            $table->foreign('voted_id')->references('id')->on('users')->onDelete('cascade');

            $table->unsignedBigInteger('voter_id')->nullable();
            $table->foreign('voter_id')->references('id')->on('users')->onDelete('cascade');
           
            $table->integer('vote');
            $table->enum('type', ['to_technician', 'to_client']);
            
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('rates');
    }
}
